From bee650fd4c7ff37abb43c285f7e5b260469d1aca Mon Sep 17 00:00:00 2001
From: Ning Cai <quic_ncai@quicinc.com>
Date: Wed, 31 Aug 2022 08:08:52 -0700
Subject: [PATCH 69/96] dt-binding: Add compatible strings to stmmac driver

Add new compatible strings to support emac0 and emac1 instances.

Change-Id: I9bcd2170d3af455688607601b773af38e46b5eb3
Signed-off-by: Ning Cai <quic_ncai@quicinc.com>
---
 Documentation/devicetree/bindings/net/qcom,ethqos.txt | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/Documentation/devicetree/bindings/net/qcom,ethqos.txt b/Documentation/devicetree/bindings/net/qcom,ethqos.txt
index fcf5035..e85d64f 100644
--- a/Documentation/devicetree/bindings/net/qcom,ethqos.txt
+++ b/Documentation/devicetree/bindings/net/qcom,ethqos.txt
@@ -2,12 +2,17 @@ Qualcomm Ethernet ETHQOS device
 
 This documents dwmmac based ethernet device which supports Gigabit
 ethernet for version v2.3.0 onwards.
+There are 2 emac instances with DWMMAC HW version 0x30000000.
+emac0 and emac1 instance are supported.
+For emac0 instance, comaptible should be "qcom,stmmac-ethqos-emac0"
+For emac1 instance, comaptible should be "qcom,stmmac-ethqos-emac1"
+For supporting SMMU, compatible should be "qcom,emac-smmu-embedded"
 
 This device has following properties:
 
 Required properties:
 
-- compatible: Should be qcom,qcs404-ethqos"
+- compatible: Should be "qcom,stmmac-ethqos"
 
 - reg: Address and length of the register set for the device
 
-- 
2.7.4

